/**
 * 
 */
package org.expasy.bprg;

import java.io.File;
import java.util.ArrayList;

/**
 * @author chernand
 *
 */
public class SilacQuantiParam {
    
    double error;
    
    int findEchoPeaks;
    
    boolean findIntermPeaks;

    File paFolder;

    String paFilter;

    ArrayList<PeptideLabel> data;
    
    public char[] getAALabels() {
        char[] labels = new char[data.size()];
        int i=0;
        for (PeptideLabel pep : data) {
            labels[i] = pep.aminoacid.charAt(0);
            i++;
        }
        return labels;
    }

    public String[] getTagLabels() {
        String[] tags = new String[data.size()];
        int i=0;
        for (PeptideLabel pep : data) {
            tags[i] = pep.label;
            i++;
        }
        return tags;
    }
}
